# Gimp.ValueArray

    from gi.repository import Gimp

    value_array = Gimp.ValueArray()

The prime purpose of a Gimp.ValueArray is for it to be used as an object property that holds an array of values. A Gimp.ValueArray wraps an array of GObject.Value elements in order for it to be used as a boxed type through %GIMP_TYPE_VALUE_ARRAY.

Since 2.10

## Methods

- Gimp.ValueArray.append
- Gimp.ValueArray.copy
- Gimp.ValueArray.get_color_array
- Gimp.ValueArray.get_core_object_array
- Gimp.ValueArray.index
- Gimp.ValueArray.insert
- Gimp.ValueArray.length
- Gimp.ValueArray.prepend
- Gimp.ValueArray.ref
- Gimp.ValueArray.remove
- Gimp.ValueArray.truncate
- Gimp.ValueArray.unref